/******************************************************************************
*	Module: dcf77.h
*	Decoding fr DCF77 radio clock (Germany Mainflingen 77,5kHz)
*
* 	Copyright (C) 2004 Volker Troyke, www.troyke.de
*
* 	This program is free software; you can redistribute it and/or
*	modify it under the terms of the GNU General Public License
*	as published by the Free Software Foundation; either version 2
*	of the License, or (at your option) any later version.
*
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*	You should have received a copy of the GNU General Public License
*	along with this program; if not, write to the Free Software
*	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
******************************************************************************/

#ifndef DCF77_H
#define DCF77_H
#include "ds1302.h"

#define MAX_LOW 				F_CPU / 1906
#define MIN_LOW 				F_CPU / 2796

#define MAX_HIGH 				F_CPU / 18236
#define MIN_HIGH 				F_CPU / 23302

#define DCF77_TIMEOUT 		F_CPU / 700
#define TICK_1S				F_CPU / 2048
#define DCF77_INTERRUPT		SIG_INTERRUPT0

void dcf77_init(void);
void dcf77_timetick(void);
void increment_time(struct dt *date);
//void display_date(u08 col, struct dt *date);
void dcf77_process_data(void);

extern struct dt act_date;
extern struct dt dcf_date;
extern u08 dcf77_update;
extern u08 update_time;
extern u08 inc_time;
extern u08 signal_ok;
extern u08 sync_ok;
extern u08 dcf_valid;
extern u16 dcf77_tick;

extern u16 debug_low, debug_high;
extern u08 dcf_second;


#endif

